Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.remote.common
Interface RemoteServicesDef

Deprecated. Use RMI instead.

public interface RemoteServicesDef

Interface that defines a remote services factory. Use this interface to manufacture objects for RemoteT3. The remote services factory methods take the place of constructors for objects that are used by RemoteT3.

Here's an example of how this interface is used in the process of creating a T3Servlet:

      T3Client t3 = new T3Client("t3://host:port");
       // Manufacture a T3Servlet object for the client
       T3ServletDef ts = t3.services.remote()
                               .getT3Servlet("tutorial.remote.mail.mailer");
       // Execute the T3Servlet with methods from the T3Servlet
       // object's class, where "ps" is a ParamSet
       ts.execute(ps);

Author:
  Copyright (c) 1996-1998 by WebLogic, Inc., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `T3ServicesDef`

Method Summary
`T3ServletDef` | `getT3Servlet(java.lang.String entry)` Deprecated. Use RMI instead.

Method Detail

### getT3Servlet

    public T3ServletDef getT3Servlet(java.lang.String entry)
                              throws T3ServletException

  Deprecated. Use RMI instead.
  Gets a new T3Servlet object from the remote services factory, with the specified full package name of the class to be executed remotely.

  Parameters:
    `entry` - Full package name of the class on the remote server
  Throws:
    T3ServletException - if there is an error with the remote class
  See Also:
    `ParamSet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD